Subject: bug#19477: 24.4; Init script from su terminal

From: [email-masked] (Álvar Ibeas)
Date: Wed, 31 Dec 2014 17:36:58 +0100

Hello,

Working under Debian, when I switch to root using `su', Emacs doesn't
load the init script located in my user's home folder, as the manual
says:

``if you run Emacs from a shell started by `su', Emacs tries to find
your own `.emacs', not that of the user you are currently pretending
to be [...] It gets your user name from the environment variables
`LOGNAME' and `USER'.''

The variables LOGNAME and USER have both the value `root'. The command
`logname' returns instead my own user name.

Is this an Emacs bug?